Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class RefreshAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.BaseSelectionListenerAction
              org.eclipse.ui.actions.SelectionListenerAction
                  org.eclipse.ui.actions.WorkspaceAction
                      org.eclipse.ui.actions.RefreshAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

public class RefreshAction
extends WorkspaceAction

Standard action for refreshing the workspace from the local file system for the selected resources and all of their descendents.

This class may be instantiated; it is not intended to be subclassed.

Field Summary
`static String` | `ID` The id of this action.

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`RefreshAction(Shell shell)` Creates a new action.

Method Summary
`protected List` | `getSelectedResources()` Returns a list containing the workspace root if the selection would otherwise be empty.
`void` | `handleKeyReleased(KeyEvent event)` Handle the key release.
`void` | `refreshAll()` Refreshes the entire workspace.
`protected boolean` | `updateSelection(IStructuredSelection s)` The `RefreshAction` implementation of this `SelectionListenerAction` method ensures that this action is enabled if the selection is empty, but is disabled if any of the selected elements are not resources.

Methods inherited from class org.eclipse.ui.actions.WorkspaceAction
`getActionResources, run, runInBackground`

Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction
`clearCache, getSelectedNonResources, resourceIsType, selectionIsOfType`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

  The id of this action.

  See Also:
    Constant Field Values

Constructor Detail

### RefreshAction

    public RefreshAction(Shell shell)

  Creates a new action.

Parameters:
  `shell` - the shell for any dialogs

Method Detail

### getSelectedResources

    protected List getSelectedResources()

  Returns a list containing the workspace root if the selection would otherwise be empty.

  Overrides:
    `getSelectedResources` in class `SelectionListenerAction`
  Returns:
    list of resource elements (element type: `IResource`)

### updateSelection

    protected boolean updateSelection(IStructuredSelection s)

  The `RefreshAction` implementation of this `SelectionListenerAction` method ensures that this action is enabled if the selection is empty, but is disabled if any of the selected elements are not resources.

  Overrides:
    `updateSelection` in class `WorkspaceAction`

### handleKeyReleased

    public void handleKeyReleased(KeyEvent event)

  Handle the key release.

### refreshAll

    public void refreshAll()

  Refreshes the entire workspace.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.